/*
THIS DO-FILE IS A SLIGHTLY MODIFIED VERSION OF THE ONE
ORIGINALLY CREATED BY MARY McGEE FOR HER SENIOR THESIS.
It was modified by Richard Ball on 2016-09-27.
*/ 

clear
use NFIPalldata.dta


****** SET DATA AS TIME SERIES ***********
tsset year
** generate variables **
gen lnclaimvalue = log(nfiprealvalue)
gen ChangeInPolicies = D.nfippolicies
gen lnclaims = log(nfipclaims)
gen lnsba = log(sbarealvalue)
gen lndrf = log(drfrealvalue)
gen lndamages = log(damagesrealvalue)
gen lagdamages = damagesrealvalue[_n-1]
gen laglndamages = log(lagdamages)
gen lagfloods = floods[_n-1]
gen katrina = (year == 2005)
gen yr = (year - 1977)
gen fira94 = (year > 1993)
gen fira94trend = (fira94*yr)
gen fira04 = (year > 2003)
gen fira04trend = (fira04*yr)
gen grant06 = (year > 2005)
gen grant06trend = (grant06*yr)
** Save the dataset with all new variables generated ***
save clean.dta, replace
